https://leetcode.com/problems/binary-tree-right-side-view/

Given the root of a binary tree, imagine yourself standing on the right 
side of it, return the values of the nodes you can see ordered from top to bottom.

 
Example 1:
Input: root = [1,2,3,null,5,null,4]
Output: [1,3,4]

Example 2:
Input: root = [1,null,3]
Output: [1,3]

Example 3:
Input: root = []
Output: []

Example 4:
Input: root = [1,2,3,4,5,null,null,6,7,null,null,null,8,9,null,null,10]
Output: [1,3,5,7,9,10] 


Constraints:
The number of nodes in the tree is in the range [0, 100].
-100 <= Node.val <= 100